; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "Tubes2 Open edition"
!define PRODUCT_VERSION "2.2"
!define PRODUCT_PUBLISHER "Pozsar Zsolt"
!define PRODUCT_WEB_SITE "http://www.pozsarzs.hu/tubes/tubes_en.html"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\tubes2oe.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Language Selection Dialog Settings
!define MUI_LANGDLL_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_LANGDLL_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_LANGDLL_REGISTRY_VALUENAME "NSIS:Language"

; Installer pages
!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_LICENSE "$(MUILicense)" 
!insertmacro MUI_PAGE_COMPONENTS
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES
!define MUI_FINISHPAGE_RUN "$INSTDIR\tubes2oe.exe"
!define MUI_FINISHPAGE_SHOWREADME "$INSTDIR\documents\readme.txt"
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_WELCOME
!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES
!insertmacro MUI_UNPAGE_FINISH

; Language files
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "Hungarian"

; License Language
LicenseLangString MUILicense ${LANG_ENGLISH} "tubes2oe\documents\copying.txt"
LicenseLangString MUILicense ${LANG_HUNGARIAN} "tubes2oe\documents\copying.txt"

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "tubes2oe-2.2-win32.exe"
InstallDir "$PROGRAMFILES\Tubes2oe"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show
RequestExecutionLevel admin


Function .onInit
  !insertmacro MUI_LANGDLL_DISPLAY
FunctionEnd

Section "Main files" SEC01
  SetShellVarContext all
  SetOutPath "$INSTDIR\documents"
  SetOverwrite try
  File "tubes2oe\documents\authors.txt"
  File "tubes2oe\documents\changelog.txt"
  File "tubes2oe\documents\copying.txt"
  File "tubes2oe\documents\install.txt"
  File "tubes2oe\documents\readme.txt"
  File "tubes2oe\documents\version.txt"
  SetOutPath "$INSTDIR\documents\hu"
  File "tubes2oe\documents\hu\install.txt"
  File "tubes2oe\documents\hu\readme.txt"
  SetOutPath "$INSTDIR\documents\sample"
  File "tubes2oe\documents\sample\sample-triode-1.csv"
  File "tubes2oe\documents\sample\sample-triode-2.csv"
  File "tubes2oe\documents\sample\sample-triode.t2c"
  SetOutPath "$INSTDIR\help\help_en"
  File "tubes2oe\help\help_en\about.html"
  File "tubes2oe\help\help_en\cmdparams.html"
  File "tubes2oe\help\help_en\contact.html"
  File "tubes2oe\help\help_en\hotkeys.html"
  File "tubes2oe\help\help_en\index.html"
  File "tubes2oe\help\help_en\order.html"
  File "tubes2oe\help\help_en\sign_brimar.html"
  File "tubes2oe\help\help_en\sign_cv.html"
  File "tubes2oe\help\help_en\sign_euro.html"
  File "tubes2oe\help\help_en\sign_mazda.html"
  File "tubes2oe\help\help_en\sign_philips.html"
  File "tubes2oe\help\help_en\sign_soviet.html"
  File "tubes2oe\help\help_en\sign_usa.html"
  SetOutPath "$INSTDIR\help\help_hu"
  File "tubes2oe\help\help_hu\about.html"
  File "tubes2oe\help\help_hu\cmdparams.html"
  File "tubes2oe\help\help_hu\contact.html"
  File "tubes2oe\help\help_hu\hotkeys.html"
  File "tubes2oe\help\help_hu\index.html"
  File "tubes2oe\help\help_hu\order.html"
  File "tubes2oe\help\help_hu\sign_brimar.html"
  File "tubes2oe\help\help_hu\sign_cv.html"
  File "tubes2oe\help\help_hu\sign_euro.html"
  File "tubes2oe\help\help_hu\sign_mazda.html"
  File "tubes2oe\help\help_hu\sign_philips.html"
  File "tubes2oe\help\help_hu\sign_soviet.html"
  File "tubes2oe\help\help_hu\sign_usa.html"
  SetOutPath "$INSTDIR\languages\hu"
  File "tubes2oe\languages\hu\tubes2oe.mo"
  File "tubes2oe\languages\hu\tubes2oe.po"
  SetOutPath "$INSTDIR\languages"
  File "tubes2oe\languages\tubes2oe.pot"
  SetOutPath "$INSTDIR\library\base"
  File "tubes2oe\library\base\a10.png"
  File "tubes2oe\library\base\a8.png"
  File "tubes2oe\library\base\b12a.png"
  File "tubes2oe\library\base\b12e.png"
  File "tubes2oe\library\base\b13b.png"
  File "tubes2oe\library\base\b13d.png"
  File "tubes2oe\library\base\b14a.png"
  File "tubes2oe\library\base\b17a.png"
  File "tubes2oe\library\base\b5.png"
  File "tubes2oe\library\base\b6.png"
  File "tubes2oe\library\base\b7.png"
  File "tubes2oe\library\base\b7g.png"
  File "tubes2oe\library\base\b8d.png"
  File "tubes2oe\library\base\b8g.png"
  File "tubes2oe\library\base\b9a.png"
  File "tubes2oe\library\base\b9aplus.png"
  File "tubes2oe\library\base\b9d.png"
  File "tubes2oe\library\base\bb7.png"
  File "tubes2oe\library\base\crt-11.png"
  File "tubes2oe\library\base\crt-11a.png"
  File "tubes2oe\library\base\crt-12.png"
  File "tubes2oe\library\base\crt-14.png"
  File "tubes2oe\library\base\crt-14a.png"
  File "tubes2oe\library\base\crt-14b.png"
  File "tubes2oe\library\base\crt-14c.png"
  File "tubes2oe\library\base\crt-18.png"
  File "tubes2oe\library\base\dip-16.png"
  File "tubes2oe\library\base\ed1.png"
  File "tubes2oe\library\base\ed2.png"
  File "tubes2oe\library\base\ed3.png"
  File "tubes2oe\library\base\eo1.png"
  File "tubes2oe\library\base\es1.png"
  File "tubes2oe\library\base\es2.png"
  File "tubes2oe\library\base\eu3.png"
  File "tubes2oe\library\base\eu4.png"
  File "tubes2oe\library\base\eu5.png"
  File "tubes2oe\library\base\eugrd.png"
  File "tubes2oe\library\base\f5.png"
  File "tubes2oe\library\base\ho1.png"
  File "tubes2oe\library\base\k5.png"
  File "tubes2oe\library\base\k5a.png"
  File "tubes2oe\library\base\k8.png"
  File "tubes2oe\library\base\k8a.png"
  File "tubes2oe\library\base\k8alh.png"
  File "tubes2oe\library\base\mo3.png"
  File "tubes2oe\library\base\p5.png"
  File "tubes2oe\library\base\p7.png"
  File "tubes2oe\library\base\r8.png"
  File "tubes2oe\library\base\rts-11.png"
  File "tubes2oe\library\base\s5.png"
  File "tubes2oe\library\base\s8.png"
  File "tubes2oe\library\base\sk-116.png"
  File "tubes2oe\library\base\sk-118.png"
  File "tubes2oe\library\base\sk-136.png"
  File "tubes2oe\library\base\sk-176.png"
  File "tubes2oe\library\base\sk-182.png"
  File "tubes2oe\library\base\sk-185.png"
  File "tubes2oe\library\base\sk-197.png"
  File "tubes2oe\library\base\sk-207.png"
  File "tubes2oe\library\base\solder_tag_16.png"
  File "tubes2oe\library\base\spec1.png"
  File "tubes2oe\library\base\t9.png"
  File "tubes2oe\library\base\to-100.png"
  File "tubes2oe\library\base\u4.png"
  File "tubes2oe\library\base\u5.png"
  File "tubes2oe\library\base\u6.png"
  File "tubes2oe\library\base\u7.png"
  File "tubes2oe\library\base\unknown.png"
  File "tubes2oe\library\base\uo1.png"
  File "tubes2oe\library\base\w8.png"
  File "tubes2oe\library\base\w8a.png"
  File "tubes2oe\library\base\wire-2.png"
  File "tubes2oe\library\base\wire-2a.png"
  File "tubes2oe\library\base\wire-3.png"
  File "tubes2oe\library\base\wire-3a.png"
  File "tubes2oe\library\base\wire-4.png"
  File "tubes2oe\library\base\wire-4a.png"
  File "tubes2oe\library\base\wire-5.png"
  File "tubes2oe\library\base\wire-5a.png"
  File "tubes2oe\library\base\wire-6a.png"
  File "tubes2oe\library\base\wire-7a.png"
  File "tubes2oe\library\base\wire-9.png"
  File "tubes2oe\library\base\x3.png"
  File "tubes2oe\library\base\x5.png"
  File "tubes2oe\library\base\x6.png"
  File "tubes2oe\library\base\x7.png"
  File "tubes2oe\library\base\x8.png"
  File "tubes2oe\library\base\x8a.png"
  File "tubes2oe\library\base\xa10.png"
  File "tubes2oe\library\base\xa11.png"
  File "tubes2oe\library\base\xa3.png"
  File "tubes2oe\library\base\xa4.png"
  File "tubes2oe\library\base\xa5.png"
  File "tubes2oe\library\base\xb4.png"
  File "tubes2oe\library\base\xc4.png"
  File "tubes2oe\library\base\xe7.png"
  File "tubes2oe\library\base\xo11.png"
  File "tubes2oe\library\base\xo2.png"
  File "tubes2oe\library\base\xo6.png"
  File "tubes2oe\library\base\xs10.png"
  File "tubes2oe\library\base\xs7.png"
  File "tubes2oe\library\base\xs9.png"
  File "tubes2oe\library\base\y11.png"
  File "tubes2oe\library\base\y3.png"
  File "tubes2oe\library\base\y5.png"
  File "tubes2oe\library\base\y6.png"
  File "tubes2oe\library\base\y9.png"
  SetOutPath "$INSTDIR\library"
  File "tubes2oe\library\index.csv"
  File "tubes2oe\library\subst.dat"
  SetOutPath "$INSTDIR\library\library_en"
  File "tubes2oe\library\library_en\01.txt"
  File "tubes2oe\library\library_en\01.xedf"
  File "tubes2oe\library\library_en\02.txt"
  File "tubes2oe\library\library_en\02.xedf"
  File "tubes2oe\library\library_en\03.txt"
  File "tubes2oe\library\library_en\03.xedf"
  File "tubes2oe\library\library_en\04.txt"
  File "tubes2oe\library\library_en\04.xedf"
  File "tubes2oe\library\library_en\05.txt"
  File "tubes2oe\library\library_en\05.xedf"
  File "tubes2oe\library\library_en\06.txt"
  File "tubes2oe\library\library_en\06.xedf"
  File "tubes2oe\library\library_en\07.txt"
  File "tubes2oe\library\library_en\07.xedf"
  File "tubes2oe\library\library_en\13.txt"
  File "tubes2oe\library\library_en\13.xedf"
  File "tubes2oe\library\library_en\15.txt"
  File "tubes2oe\library\library_en\15.xedf"
  File "tubes2oe\library\library_en\17.txt"
  File "tubes2oe\library\library_en\17.xedf"
  File "tubes2oe\library\library_en\18.txt"
  File "tubes2oe\library\library_en\18.xedf"
  File "tubes2oe\library\library_en\19.txt"
  File "tubes2oe\library\library_en\19.xedf"
  File "tubes2oe\library\library_en\20.txt"
  File "tubes2oe\library\library_en\20.xedf"
  File "tubes2oe\library\library_en\21.txt"
  File "tubes2oe\library\library_en\21.xedf"
  File "tubes2oe\library\library_en\22.txt"
  File "tubes2oe\library\library_en\22.xedf"
  File "tubes2oe\library\library_en\23.txt"
  File "tubes2oe\library\library_en\23.xedf"
  File "tubes2oe\library\library_en\24.txt"
  File "tubes2oe\library\library_en\24.xedf"
  File "tubes2oe\library\library_en\26.txt"
  File "tubes2oe\library\library_en\26.xedf"
  File "tubes2oe\library\library_en\27.txt"
  File "tubes2oe\library\library_en\27.xedf"
  File "tubes2oe\library\library_en\28.txt"
  File "tubes2oe\library\library_en\28.xedf"
  File "tubes2oe\library\library_en\29.txt"
  File "tubes2oe\library\library_en\29.xedf"
  File "tubes2oe\library\library_en\30.txt"
  File "tubes2oe\library\library_en\30.xedf"
  File "tubes2oe\library\library_en\31.txt"
  File "tubes2oe\library\library_en\31.xedf"
  File "tubes2oe\library\library_en\32.txt"
  File "tubes2oe\library\library_en\32.xedf"
  File "tubes2oe\library\library_en\33.txt"
  File "tubes2oe\library\library_en\33.xedf"
  File "tubes2oe\library\library_en\34.txt"
  File "tubes2oe\library\library_en\34.xedf"
  File "tubes2oe\library\library_en\35.txt"
  File "tubes2oe\library\library_en\35.xedf"
  File "tubes2oe\library\library_en\36.txt"
  File "tubes2oe\library\library_en\36.xedf"
  File "tubes2oe\library\library_en\37.txt"
  File "tubes2oe\library\library_en\37.xedf"
  File "tubes2oe\library\library_en\38.txt"
  File "tubes2oe\library\library_en\38.xedf"
  File "tubes2oe\library\library_en\39.txt"
  File "tubes2oe\library\library_en\39.xedf"
  File "tubes2oe\library\library_en\40.txt"
  File "tubes2oe\library\library_en\40.xedf"
  File "tubes2oe\library\library_en\41.txt"
  File "tubes2oe\library\library_en\41.xedf"
  File "tubes2oe\library\library_en\42.txt"
  File "tubes2oe\library\library_en\42.xedf"
  File "tubes2oe\library\library_en\43.txt"
  File "tubes2oe\library\library_en\43.xedf"
  File "tubes2oe\library\library_en\44.txt"
  File "tubes2oe\library\library_en\44.xedf"
  File "tubes2oe\library\library_en\45.txt"
  File "tubes2oe\library\library_en\45.xedf"
  File "tubes2oe\library\library_en\46.txt"
  File "tubes2oe\library\library_en\46.xedf"
  File "tubes2oe\library\library_en\47.txt"
  File "tubes2oe\library\library_en\47.xedf"
  File "tubes2oe\library\library_en\48.txt"
  File "tubes2oe\library\library_en\48.xedf"
  File "tubes2oe\library\library_en\49.txt"
  File "tubes2oe\library\library_en\49.xedf"
  File "tubes2oe\library\library_en\50.txt"
  File "tubes2oe\library\library_en\50.xedf"
  File "tubes2oe\library\library_en\51.txt"
  File "tubes2oe\library\library_en\51.xedf"
  File "tubes2oe\library\library_en\52.txt"
  File "tubes2oe\library\library_en\52.xedf"
  File "tubes2oe\library\library_en\53.txt"
  File "tubes2oe\library\library_en\53.xedf"
  File "tubes2oe\library\library_en\54.txt"
  File "tubes2oe\library\library_en\54.xedf"
  File "tubes2oe\library\library_en\55.txt"
  File "tubes2oe\library\library_en\55.xedf"
  File "tubes2oe\library\library_en\56.txt"
  File "tubes2oe\library\library_en\56.xedf"
  File "tubes2oe\library\library_en\57.txt"
  File "tubes2oe\library\library_en\57.xedf"
  File "tubes2oe\library\library_en\58.txt"
  File "tubes2oe\library\library_en\58.xedf"
  File "tubes2oe\library\library_en\59.txt"
  File "tubes2oe\library\library_en\59.xedf"
  File "tubes2oe\library\library_en\60.txt"
  File "tubes2oe\library\library_en\60.xedf"
  File "tubes2oe\library\library_en\61.txt"
  File "tubes2oe\library\library_en\61.xedf"
  File "tubes2oe\library\library_en\62.txt"
  File "tubes2oe\library\library_en\62.xedf"
  File "tubes2oe\library\library_en\63.txt"
  File "tubes2oe\library\library_en\63.xedf"
  File "tubes2oe\library\library_en\news.txt"
  File "tubes2oe\library\library_en\version.txt"
  SetOutPath "$INSTDIR\library\library_hu"
  File "tubes2oe\library\library_hu\01.txt"
  File "tubes2oe\library\library_hu\01.xedf"
  File "tubes2oe\library\library_hu\02.txt"
  File "tubes2oe\library\library_hu\02.xedf"
  File "tubes2oe\library\library_hu\03.txt"
  File "tubes2oe\library\library_hu\03.xedf"
  File "tubes2oe\library\library_hu\04.txt"
  File "tubes2oe\library\library_hu\04.xedf"
  File "tubes2oe\library\library_hu\05.txt"
  File "tubes2oe\library\library_hu\05.xedf"
  File "tubes2oe\library\library_hu\06.txt"
  File "tubes2oe\library\library_hu\06.xedf"
  File "tubes2oe\library\library_hu\07.txt"
  File "tubes2oe\library\library_hu\07.xedf"
  File "tubes2oe\library\library_hu\13.txt"
  File "tubes2oe\library\library_hu\13.xedf"
  File "tubes2oe\library\library_hu\15.txt"
  File "tubes2oe\library\library_hu\15.xedf"
  File "tubes2oe\library\library_hu\17.txt"
  File "tubes2oe\library\library_hu\17.xedf"
  File "tubes2oe\library\library_hu\18.txt"
  File "tubes2oe\library\library_hu\18.xedf"
  File "tubes2oe\library\library_hu\19.txt"
  File "tubes2oe\library\library_hu\19.xedf"
  File "tubes2oe\library\library_hu\20.txt"
  File "tubes2oe\library\library_hu\20.xedf"
  File "tubes2oe\library\library_hu\21.txt"
  File "tubes2oe\library\library_hu\21.xedf"
  File "tubes2oe\library\library_hu\22.txt"
  File "tubes2oe\library\library_hu\22.xedf"
  File "tubes2oe\library\library_hu\23.txt"
  File "tubes2oe\library\library_hu\23.xedf"
  File "tubes2oe\library\library_hu\24.txt"
  File "tubes2oe\library\library_hu\24.xedf"
  File "tubes2oe\library\library_hu\26.txt"
  File "tubes2oe\library\library_hu\26.xedf"
  File "tubes2oe\library\library_hu\27.txt"
  File "tubes2oe\library\library_hu\27.xedf"
  File "tubes2oe\library\library_hu\28.txt"
  File "tubes2oe\library\library_hu\28.xedf"
  File "tubes2oe\library\library_hu\29.txt"
  File "tubes2oe\library\library_hu\29.xedf"
  File "tubes2oe\library\library_hu\30.txt"
  File "tubes2oe\library\library_hu\30.xedf"
  File "tubes2oe\library\library_hu\31.txt"
  File "tubes2oe\library\library_hu\31.xedf"
  File "tubes2oe\library\library_hu\32.txt"
  File "tubes2oe\library\library_hu\32.xedf"
  File "tubes2oe\library\library_hu\33.txt"
  File "tubes2oe\library\library_hu\33.xedf"
  File "tubes2oe\library\library_hu\34.txt"
  File "tubes2oe\library\library_hu\34.xedf"
  File "tubes2oe\library\library_hu\35.txt"
  File "tubes2oe\library\library_hu\35.xedf"
  File "tubes2oe\library\library_hu\36.txt"
  File "tubes2oe\library\library_hu\36.xedf"
  File "tubes2oe\library\library_hu\37.txt"
  File "tubes2oe\library\library_hu\37.xedf"
  File "tubes2oe\library\library_hu\38.txt"
  File "tubes2oe\library\library_hu\38.xedf"
  File "tubes2oe\library\library_hu\39.txt"
  File "tubes2oe\library\library_hu\39.xedf"
  File "tubes2oe\library\library_hu\40.txt"
  File "tubes2oe\library\library_hu\40.xedf"
  File "tubes2oe\library\library_hu\41.txt"
  File "tubes2oe\library\library_hu\41.xedf"
  File "tubes2oe\library\library_hu\42.txt"
  File "tubes2oe\library\library_hu\42.xedf"
  File "tubes2oe\library\library_hu\43.txt"
  File "tubes2oe\library\library_hu\43.xedf"
  File "tubes2oe\library\library_hu\44.txt"
  File "tubes2oe\library\library_hu\44.xedf"
  File "tubes2oe\library\library_hu\45.txt"
  File "tubes2oe\library\library_hu\45.xedf"
  File "tubes2oe\library\library_hu\46.txt"
  File "tubes2oe\library\library_hu\46.xedf"
  File "tubes2oe\library\library_hu\47.txt"
  File "tubes2oe\library\library_hu\47.xedf"
  File "tubes2oe\library\library_hu\48.txt"
  File "tubes2oe\library\library_hu\48.xedf"
  File "tubes2oe\library\library_hu\49.txt"
  File "tubes2oe\library\library_hu\49.xedf"
  File "tubes2oe\library\library_hu\50.txt"
  File "tubes2oe\library\library_hu\50.xedf"
  File "tubes2oe\library\library_hu\51.txt"
  File "tubes2oe\library\library_hu\51.xedf"
  File "tubes2oe\library\library_hu\52.txt"
  File "tubes2oe\library\library_hu\52.xedf"
  File "tubes2oe\library\library_hu\53.txt"
  File "tubes2oe\library\library_hu\53.xedf"
  File "tubes2oe\library\library_hu\54.txt"
  File "tubes2oe\library\library_hu\54.xedf"
  File "tubes2oe\library\library_hu\55.txt"
  File "tubes2oe\library\library_hu\55.xedf"
  File "tubes2oe\library\library_hu\56.txt"
  File "tubes2oe\library\library_hu\56.xedf"
  File "tubes2oe\library\library_hu\57.txt"
  File "tubes2oe\library\library_hu\57.xedf"
  File "tubes2oe\library\library_hu\58.txt"
  File "tubes2oe\library\library_hu\58.xedf"
  File "tubes2oe\library\library_hu\59.txt"
  File "tubes2oe\library\library_hu\59.xedf"
  File "tubes2oe\library\library_hu\60.txt"
  File "tubes2oe\library\library_hu\60.xedf"
  File "tubes2oe\library\library_hu\61.txt"
  File "tubes2oe\library\library_hu\61.xedf"
  File "tubes2oe\library\library_hu\62.txt"
  File "tubes2oe\library\library_hu\62.xedf"
  File "tubes2oe\library\library_hu\63.txt"
  File "tubes2oe\library\library_hu\63.xedf"
  File "tubes2oe\library\library_hu\news.txt"
  File "tubes2oe\library\library_hu\version.txt"
  SetOutPath "$INSTDIR"
  File "tubes2oe\readme.txt"
  File "tubes2oe\tubes2oe.exe"
  CreateShortCut "$DESKTOP\Tubes2 Open edition.lnk" "$INSTDIR\tubes2oe.exe"
  CreateDirectory "$SMPROGRAMS\Tubes2 Open edition"
  CreateShortCut "$SMPROGRAMS\Tubes2 Open edition\Tubes2 Open edition.lnk" "$INSTDIR\tubes2oe.exe"
SectionEnd

Section "Translate HU" SEC02
  SetOutPath "$INSTDIR\languages\hu"
  File "tubes2oe\languages\hu\tubes2oe.mo"
  File "tubes2oe\languages\hu\tubes2oe.po"
  SetOutPath "$INSTDIR\languages"
  File "tubes2oe\languages\tubes2oe.pot"
SectionEnd

Section -AdditionalIcons
  SetOutPath $INSTDIR
  CreateDirectory "$SMPROGRAMS\Tubes2 Open edition"
  CreateShortCut "$SMPROGRAMS\Tubes2 Open edition\Uninstall.lnk" "$INSTDIR\uninst.exe"
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\tubes2oe.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\tubes2oe.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd

; Section descriptions
  LangString DESC_Section1 ${LANG_ENGLISH} "Required files"
  LangString DESC_Section2 ${LANG_ENGLISH} "Hungarian translate"
  LangString DESC_Section1 ${LANG_HUNGARIAN} "Ktelez llomnyok"
  LangString DESC_Section2 ${LANG_HUNGARIAN} "Magyar fordts"
  !insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} $(DESC_Section1)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} $(DESC_Section2)
  !insertmacro MUI_FUNCTION_DESCRIPTION_END

; Section uninstall
  Function un.onInit
  !insertmacro MUI_UNGETLANGUAGE
  FunctionEnd

Section Uninstall
  SetShellVarContext all
  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\tubes2oe.exe"
  Delete "$INSTDIR\readme.txt"
  Delete "$INSTDIR\library\library_hu\version.txt"
  Delete "$INSTDIR\library\library_hu\news.txt"
  Delete "$INSTDIR\library\library_hu\63.xedf"
  Delete "$INSTDIR\library\library_hu\63.txt"
  Delete "$INSTDIR\library\library_hu\62.xedf"
  Delete "$INSTDIR\library\library_hu\62.txt"
  Delete "$INSTDIR\library\library_hu\61.xedf"
  Delete "$INSTDIR\library\library_hu\61.txt"
  Delete "$INSTDIR\library\library_hu\60.xedf"
  Delete "$INSTDIR\library\library_hu\60.txt"
  Delete "$INSTDIR\library\library_hu\59.xedf"
  Delete "$INSTDIR\library\library_hu\59.txt"
  Delete "$INSTDIR\library\library_hu\58.xedf"
  Delete "$INSTDIR\library\library_hu\58.txt"
  Delete "$INSTDIR\library\library_hu\57.xedf"
  Delete "$INSTDIR\library\library_hu\57.txt"
  Delete "$INSTDIR\library\library_hu\56.xedf"
  Delete "$INSTDIR\library\library_hu\56.txt"
  Delete "$INSTDIR\library\library_hu\55.xedf"
  Delete "$INSTDIR\library\library_hu\55.txt"
  Delete "$INSTDIR\library\library_hu\54.xedf"
  Delete "$INSTDIR\library\library_hu\54.txt"
  Delete "$INSTDIR\library\library_hu\53.xedf"
  Delete "$INSTDIR\library\library_hu\53.txt"
  Delete "$INSTDIR\library\library_hu\52.xedf"
  Delete "$INSTDIR\library\library_hu\52.txt"
  Delete "$INSTDIR\library\library_hu\51.xedf"
  Delete "$INSTDIR\library\library_hu\51.txt"
  Delete "$INSTDIR\library\library_hu\50.xedf"
  Delete "$INSTDIR\library\library_hu\50.txt"
  Delete "$INSTDIR\library\library_hu\49.xedf"
  Delete "$INSTDIR\library\library_hu\49.txt"
  Delete "$INSTDIR\library\library_hu\48.xedf"
  Delete "$INSTDIR\library\library_hu\48.txt"
  Delete "$INSTDIR\library\library_hu\47.xedf"
  Delete "$INSTDIR\library\library_hu\47.txt"
  Delete "$INSTDIR\library\library_hu\46.xedf"
  Delete "$INSTDIR\library\library_hu\46.txt"
  Delete "$INSTDIR\library\library_hu\45.xedf"
  Delete "$INSTDIR\library\library_hu\45.txt"
  Delete "$INSTDIR\library\library_hu\44.xedf"
  Delete "$INSTDIR\library\library_hu\44.txt"
  Delete "$INSTDIR\library\library_hu\43.xedf"
  Delete "$INSTDIR\library\library_hu\43.txt"
  Delete "$INSTDIR\library\library_hu\42.xedf"
  Delete "$INSTDIR\library\library_hu\42.txt"
  Delete "$INSTDIR\library\library_hu\41.xedf"
  Delete "$INSTDIR\library\library_hu\41.txt"
  Delete "$INSTDIR\library\library_hu\40.xedf"
  Delete "$INSTDIR\library\library_hu\40.txt"
  Delete "$INSTDIR\library\library_hu\39.xedf"
  Delete "$INSTDIR\library\library_hu\39.txt"
  Delete "$INSTDIR\library\library_hu\38.xedf"
  Delete "$INSTDIR\library\library_hu\38.txt"
  Delete "$INSTDIR\library\library_hu\37.xedf"
  Delete "$INSTDIR\library\library_hu\37.txt"
  Delete "$INSTDIR\library\library_hu\36.xedf"
  Delete "$INSTDIR\library\library_hu\36.txt"
  Delete "$INSTDIR\library\library_hu\35.xedf"
  Delete "$INSTDIR\library\library_hu\35.txt"
  Delete "$INSTDIR\library\library_hu\34.xedf"
  Delete "$INSTDIR\library\library_hu\34.txt"
  Delete "$INSTDIR\library\library_hu\33.xedf"
  Delete "$INSTDIR\library\library_hu\33.txt"
  Delete "$INSTDIR\library\library_hu\32.xedf"
  Delete "$INSTDIR\library\library_hu\32.txt"
  Delete "$INSTDIR\library\library_hu\31.xedf"
  Delete "$INSTDIR\library\library_hu\31.txt"
  Delete "$INSTDIR\library\library_hu\30.xedf"
  Delete "$INSTDIR\library\library_hu\30.txt"
  Delete "$INSTDIR\library\library_hu\29.xedf"
  Delete "$INSTDIR\library\library_hu\29.txt"
  Delete "$INSTDIR\library\library_hu\28.xedf"
  Delete "$INSTDIR\library\library_hu\28.txt"
  Delete "$INSTDIR\library\library_hu\27.xedf"
  Delete "$INSTDIR\library\library_hu\27.txt"
  Delete "$INSTDIR\library\library_hu\26.xedf"
  Delete "$INSTDIR\library\library_hu\26.txt"
  Delete "$INSTDIR\library\library_hu\24.xedf"
  Delete "$INSTDIR\library\library_hu\24.txt"
  Delete "$INSTDIR\library\library_hu\23.xedf"
  Delete "$INSTDIR\library\library_hu\23.txt"
  Delete "$INSTDIR\library\library_hu\22.xedf"
  Delete "$INSTDIR\library\library_hu\22.txt"
  Delete "$INSTDIR\library\library_hu\21.xedf"
  Delete "$INSTDIR\library\library_hu\21.txt"
  Delete "$INSTDIR\library\library_hu\20.xedf"
  Delete "$INSTDIR\library\library_hu\20.txt"
  Delete "$INSTDIR\library\library_hu\19.xedf"
  Delete "$INSTDIR\library\library_hu\19.txt"
  Delete "$INSTDIR\library\library_hu\18.xedf"
  Delete "$INSTDIR\library\library_hu\18.txt"
  Delete "$INSTDIR\library\library_hu\17.xedf"
  Delete "$INSTDIR\library\library_hu\17.txt"
  Delete "$INSTDIR\library\library_hu\15.xedf"
  Delete "$INSTDIR\library\library_hu\15.txt"
  Delete "$INSTDIR\library\library_hu\13.xedf"
  Delete "$INSTDIR\library\library_hu\13.txt"
  Delete "$INSTDIR\library\library_hu\07.xedf"
  Delete "$INSTDIR\library\library_hu\07.txt"
  Delete "$INSTDIR\library\library_hu\06.xedf"
  Delete "$INSTDIR\library\library_hu\06.txt"
  Delete "$INSTDIR\library\library_hu\05.xedf"
  Delete "$INSTDIR\library\library_hu\05.txt"
  Delete "$INSTDIR\library\library_hu\04.xedf"
  Delete "$INSTDIR\library\library_hu\04.txt"
  Delete "$INSTDIR\library\library_hu\03.xedf"
  Delete "$INSTDIR\library\library_hu\03.txt"
  Delete "$INSTDIR\library\library_hu\02.xedf"
  Delete "$INSTDIR\library\library_hu\02.txt"
  Delete "$INSTDIR\library\library_hu\01.xedf"
  Delete "$INSTDIR\library\library_hu\01.txt"
  Delete "$INSTDIR\library\library_en\version.txt"
  Delete "$INSTDIR\library\library_en\news.txt"
  Delete "$INSTDIR\library\library_en\63.xedf"
  Delete "$INSTDIR\library\library_en\63.txt"
  Delete "$INSTDIR\library\library_en\62.xedf"
  Delete "$INSTDIR\library\library_en\62.txt"
  Delete "$INSTDIR\library\library_en\61.xedf"
  Delete "$INSTDIR\library\library_en\61.txt"
  Delete "$INSTDIR\library\library_en\60.xedf"
  Delete "$INSTDIR\library\library_en\60.txt"
  Delete "$INSTDIR\library\library_en\59.xedf"
  Delete "$INSTDIR\library\library_en\59.txt"
  Delete "$INSTDIR\library\library_en\58.xedf"
  Delete "$INSTDIR\library\library_en\58.txt"
  Delete "$INSTDIR\library\library_en\57.xedf"
  Delete "$INSTDIR\library\library_en\57.txt"
  Delete "$INSTDIR\library\library_en\56.xedf"
  Delete "$INSTDIR\library\library_en\56.txt"
  Delete "$INSTDIR\library\library_en\55.xedf"
  Delete "$INSTDIR\library\library_en\55.txt"
  Delete "$INSTDIR\library\library_en\54.xedf"
  Delete "$INSTDIR\library\library_en\54.txt"
  Delete "$INSTDIR\library\library_en\53.xedf"
  Delete "$INSTDIR\library\library_en\53.txt"
  Delete "$INSTDIR\library\library_en\52.xedf"
  Delete "$INSTDIR\library\library_en\52.txt"
  Delete "$INSTDIR\library\library_en\51.xedf"
  Delete "$INSTDIR\library\library_en\51.txt"
  Delete "$INSTDIR\library\library_en\50.xedf"
  Delete "$INSTDIR\library\library_en\50.txt"
  Delete "$INSTDIR\library\library_en\49.xedf"
  Delete "$INSTDIR\library\library_en\49.txt"
  Delete "$INSTDIR\library\library_en\48.xedf"
  Delete "$INSTDIR\library\library_en\48.txt"
  Delete "$INSTDIR\library\library_en\47.xedf"
  Delete "$INSTDIR\library\library_en\47.txt"
  Delete "$INSTDIR\library\library_en\46.xedf"
  Delete "$INSTDIR\library\library_en\46.txt"
  Delete "$INSTDIR\library\library_en\45.xedf"
  Delete "$INSTDIR\library\library_en\45.txt"
  Delete "$INSTDIR\library\library_en\44.xedf"
  Delete "$INSTDIR\library\library_en\44.txt"
  Delete "$INSTDIR\library\library_en\43.xedf"
  Delete "$INSTDIR\library\library_en\43.txt"
  Delete "$INSTDIR\library\library_en\42.xedf"
  Delete "$INSTDIR\library\library_en\42.txt"
  Delete "$INSTDIR\library\library_en\41.xedf"
  Delete "$INSTDIR\library\library_en\41.txt"
  Delete "$INSTDIR\library\library_en\40.xedf"
  Delete "$INSTDIR\library\library_en\40.txt"
  Delete "$INSTDIR\library\library_en\39.xedf"
  Delete "$INSTDIR\library\library_en\39.txt"
  Delete "$INSTDIR\library\library_en\38.xedf"
  Delete "$INSTDIR\library\library_en\38.txt"
  Delete "$INSTDIR\library\library_en\37.xedf"
  Delete "$INSTDIR\library\library_en\37.txt"
  Delete "$INSTDIR\library\library_en\36.xedf"
  Delete "$INSTDIR\library\library_en\36.txt"
  Delete "$INSTDIR\library\library_en\35.xedf"
  Delete "$INSTDIR\library\library_en\35.txt"
  Delete "$INSTDIR\library\library_en\34.xedf"
  Delete "$INSTDIR\library\library_en\34.txt"
  Delete "$INSTDIR\library\library_en\33.xedf"
  Delete "$INSTDIR\library\library_en\33.txt"
  Delete "$INSTDIR\library\library_en\32.xedf"
  Delete "$INSTDIR\library\library_en\32.txt"
  Delete "$INSTDIR\library\library_en\31.xedf"
  Delete "$INSTDIR\library\library_en\31.txt"
  Delete "$INSTDIR\library\library_en\30.xedf"
  Delete "$INSTDIR\library\library_en\30.txt"
  Delete "$INSTDIR\library\library_en\29.xedf"
  Delete "$INSTDIR\library\library_en\29.txt"
  Delete "$INSTDIR\library\library_en\28.xedf"
  Delete "$INSTDIR\library\library_en\28.txt"
  Delete "$INSTDIR\library\library_en\27.xedf"
  Delete "$INSTDIR\library\library_en\27.txt"
  Delete "$INSTDIR\library\library_en\26.xedf"
  Delete "$INSTDIR\library\library_en\26.txt"
  Delete "$INSTDIR\library\library_en\24.xedf"
  Delete "$INSTDIR\library\library_en\24.txt"
  Delete "$INSTDIR\library\library_en\23.xedf"
  Delete "$INSTDIR\library\library_en\23.txt"
  Delete "$INSTDIR\library\library_en\22.xedf"
  Delete "$INSTDIR\library\library_en\22.txt"
  Delete "$INSTDIR\library\library_en\21.xedf"
  Delete "$INSTDIR\library\library_en\21.txt"
  Delete "$INSTDIR\library\library_en\20.xedf"
  Delete "$INSTDIR\library\library_en\20.txt"
  Delete "$INSTDIR\library\library_en\19.xedf"
  Delete "$INSTDIR\library\library_en\19.txt"
  Delete "$INSTDIR\library\library_en\18.xedf"
  Delete "$INSTDIR\library\library_en\18.txt"
  Delete "$INSTDIR\library\library_en\17.xedf"
  Delete "$INSTDIR\library\library_en\17.txt"
  Delete "$INSTDIR\library\library_en\15.xedf"
  Delete "$INSTDIR\library\library_en\15.txt"
  Delete "$INSTDIR\library\library_en\13.xedf"
  Delete "$INSTDIR\library\library_en\13.txt"
  Delete "$INSTDIR\library\library_en\07.xedf"
  Delete "$INSTDIR\library\library_en\07.txt"
  Delete "$INSTDIR\library\library_en\06.xedf"
  Delete "$INSTDIR\library\library_en\06.txt"
  Delete "$INSTDIR\library\library_en\05.xedf"
  Delete "$INSTDIR\library\library_en\05.txt"
  Delete "$INSTDIR\library\library_en\04.xedf"
  Delete "$INSTDIR\library\library_en\04.txt"
  Delete "$INSTDIR\library\library_en\03.xedf"
  Delete "$INSTDIR\library\library_en\03.txt"
  Delete "$INSTDIR\library\library_en\02.xedf"
  Delete "$INSTDIR\library\library_en\02.txt"
  Delete "$INSTDIR\library\library_en\01.xedf"
  Delete "$INSTDIR\library\library_en\01.txt"
  Delete "$INSTDIR\library\index.csv"
  Delete "$INSTDIR\library\subst.dat"
  Delete "$INSTDIR\library\base\y9.png"
  Delete "$INSTDIR\library\base\y6.png"
  Delete "$INSTDIR\library\base\y5.png"
  Delete "$INSTDIR\library\base\y3.png"
  Delete "$INSTDIR\library\base\y11.png"
  Delete "$INSTDIR\library\base\xs9.png"
  Delete "$INSTDIR\library\base\xs7.png"
  Delete "$INSTDIR\library\base\xs10.png"
  Delete "$INSTDIR\library\base\xo6.png"
  Delete "$INSTDIR\library\base\xo2.png"
  Delete "$INSTDIR\library\base\xo11.png"
  Delete "$INSTDIR\library\base\xe7.png"
  Delete "$INSTDIR\library\base\xc4.png"
  Delete "$INSTDIR\library\base\xb4.png"
  Delete "$INSTDIR\library\base\xa5.png"
  Delete "$INSTDIR\library\base\xa4.png"
  Delete "$INSTDIR\library\base\xa3.png"
  Delete "$INSTDIR\library\base\xa11.png"
  Delete "$INSTDIR\library\base\xa10.png"
  Delete "$INSTDIR\library\base\x8a.png"
  Delete "$INSTDIR\library\base\x8.png"
  Delete "$INSTDIR\library\base\x7.png"
  Delete "$INSTDIR\library\base\x6.png"
  Delete "$INSTDIR\library\base\x5.png"
  Delete "$INSTDIR\library\base\x3.png"
  Delete "$INSTDIR\library\base\wire-9.png"
  Delete "$INSTDIR\library\base\wire-7a.png"
  Delete "$INSTDIR\library\base\wire-6a.png"
  Delete "$INSTDIR\library\base\wire-5a.png"
  Delete "$INSTDIR\library\base\wire-5.png"
  Delete "$INSTDIR\library\base\wire-4a.png"
  Delete "$INSTDIR\library\base\wire-4.png"
  Delete "$INSTDIR\library\base\wire-3a.png"
  Delete "$INSTDIR\library\base\wire-3.png"
  Delete "$INSTDIR\library\base\wire-2a.png"
  Delete "$INSTDIR\library\base\wire-2.png"
  Delete "$INSTDIR\library\base\w8a.png"
  Delete "$INSTDIR\library\base\w8.png"
  Delete "$INSTDIR\library\base\uo1.png"
  Delete "$INSTDIR\library\base\unknown.png"
  Delete "$INSTDIR\library\base\u7.png"
  Delete "$INSTDIR\library\base\u6.png"
  Delete "$INSTDIR\library\base\u5.png"
  Delete "$INSTDIR\library\base\u4.png"
  Delete "$INSTDIR\library\base\to-100.png"
  Delete "$INSTDIR\library\base\t9.png"
  Delete "$INSTDIR\library\base\spec1.png"
  Delete "$INSTDIR\library\base\solder_tag_16.png"
  Delete "$INSTDIR\library\base\sk-207.png"
  Delete "$INSTDIR\library\base\sk-197.png"
  Delete "$INSTDIR\library\base\sk-185.png"
  Delete "$INSTDIR\library\base\sk-182.png"
  Delete "$INSTDIR\library\base\sk-176.png"
  Delete "$INSTDIR\library\base\sk-136.png"
  Delete "$INSTDIR\library\base\sk-118.png"
  Delete "$INSTDIR\library\base\sk-116.png"
  Delete "$INSTDIR\library\base\s8.png"
  Delete "$INSTDIR\library\base\s5.png"
  Delete "$INSTDIR\library\base\rts-11.png"
  Delete "$INSTDIR\library\base\r8.png"
  Delete "$INSTDIR\library\base\p7.png"
  Delete "$INSTDIR\library\base\p5.png"
  Delete "$INSTDIR\library\base\mo3.png"
  Delete "$INSTDIR\library\base\k8alh.png"
  Delete "$INSTDIR\library\base\k8a.png"
  Delete "$INSTDIR\library\base\k8.png"
  Delete "$INSTDIR\library\base\k5a.png"
  Delete "$INSTDIR\library\base\k5.png"
  Delete "$INSTDIR\library\base\ho1.png"
  Delete "$INSTDIR\library\base\f5.png"
  Delete "$INSTDIR\library\base\eugrd.png"
  Delete "$INSTDIR\library\base\eu5.png"
  Delete "$INSTDIR\library\base\eu4.png"
  Delete "$INSTDIR\library\base\eu3.png"
  Delete "$INSTDIR\library\base\es2.png"
  Delete "$INSTDIR\library\base\es1.png"
  Delete "$INSTDIR\library\base\eo1.png"
  Delete "$INSTDIR\library\base\ed3.png"
  Delete "$INSTDIR\library\base\ed2.png"
  Delete "$INSTDIR\library\base\ed1.png"
  Delete "$INSTDIR\library\base\dip-16.png"
  Delete "$INSTDIR\library\base\crt-18.png"
  Delete "$INSTDIR\library\base\crt-14c.png"
  Delete "$INSTDIR\library\base\crt-14b.png"
  Delete "$INSTDIR\library\base\crt-14a.png"
  Delete "$INSTDIR\library\base\crt-14.png"
  Delete "$INSTDIR\library\base\crt-12.png"
  Delete "$INSTDIR\library\base\crt-11a.png"
  Delete "$INSTDIR\library\base\crt-11.png"
  Delete "$INSTDIR\library\base\bb7.png"
  Delete "$INSTDIR\library\base\b9d.png"
  Delete "$INSTDIR\library\base\b9aplus.png"
  Delete "$INSTDIR\library\base\b9a.png"
  Delete "$INSTDIR\library\base\b8g.png"
  Delete "$INSTDIR\library\base\b8d.png"
  Delete "$INSTDIR\library\base\b7g.png"
  Delete "$INSTDIR\library\base\b7.png"
  Delete "$INSTDIR\library\base\b6.png"
  Delete "$INSTDIR\library\base\b5.png"
  Delete "$INSTDIR\library\base\b17a.png"
  Delete "$INSTDIR\library\base\b14a.png"
  Delete "$INSTDIR\library\base\b13d.png"
  Delete "$INSTDIR\library\base\b13b.png"
  Delete "$INSTDIR\library\base\b12e.png"
  Delete "$INSTDIR\library\base\b12a.png"
  Delete "$INSTDIR\library\base\a8.png"
  Delete "$INSTDIR\library\base\a10.png"
  Delete "$INSTDIR\languages\tubes2oe.pot"
  Delete "$INSTDIR\languages\hu\tubes2oe.po"
  Delete "$INSTDIR\languages\hu\tubes2oe.mo"
  Delete "$INSTDIR\help\help_en\about.html"
  Delete "$INSTDIR\help\help_en\cmdparams.html"
  Delete "$INSTDIR\help\help_en\contact.html"
  Delete "$INSTDIR\help\help_en\hotkeys.html"
  Delete "$INSTDIR\help\help_en\index.html"
  Delete "$INSTDIR\help\help_en\order.html"
  Delete "$INSTDIR\help\help_en\sign_brimar.html"
  Delete "$INSTDIR\help\help_en\sign_cv.html"
  Delete "$INSTDIR\help\help_en\sign_euro.html"
  Delete "$INSTDIR\help\help_en\sign_mazda.html"
  Delete "$INSTDIR\help\help_en\sign_philips.html"
  Delete "$INSTDIR\help\help_en\sign_soviet.html"
  Delete "$INSTDIR\help\help_en\sign_usa.html"
  Delete "$INSTDIR\help\help_hu\about.html"
  Delete "$INSTDIR\help\help_hu\cmdparams.html"
  Delete "$INSTDIR\help\help_hu\contact.html"
  Delete "$INSTDIR\help\help_hu\hotkeys.html"
  Delete "$INSTDIR\help\help_hu\index.html"
  Delete "$INSTDIR\help\help_hu\order.html"
  Delete "$INSTDIR\help\help_hu\sign_brimar.html"
  Delete "$INSTDIR\help\help_hu\sign_cv.html"
  Delete "$INSTDIR\help\help_hu\sign_euro.html"
  Delete "$INSTDIR\help\help_hu\sign_mazda.html"
  Delete "$INSTDIR\help\help_hu\sign_philips.html"
  Delete "$INSTDIR\help\help_hu\sign_soviet.html"
  Delete "$INSTDIR\help\help_hu\sign_usa.html"
  Delete "$INSTDIR\documents\authors.txt"
  Delete "$INSTDIR\documents\changelog.txt"
  Delete "$INSTDIR\documents\copying.txt"
  Delete "$INSTDIR\documents\install.txt"
  Delete "$INSTDIR\documents\readme.txt"
  Delete "$INSTDIR\documents\version.txt"
  Delete "$INSTDIR\documents\hu\install.txt"
  Delete "$INSTDIR\documents\hu\readme.txt"
  Delete "$INSTDIR\documents\sample\sample-triode-1.csv"
  Delete "$INSTDIR\documents\sample\sample-triode-2.csv"
  Delete "$INSTDIR\documents\sample\sample-triode.t2c"
  Delete "$DESKTOP\Tubes2 Open edition.lnk"
  Delete "$SMPROGRAMS\Tubes2 Open edition\Uninstall.lnk"
  Delete "$SMPROGRAMS\Tubes2 Open edition\Tubes2 Open edition.lnk"

  RMDir "$SMPROGRAMS\Tubes2 Open edition"
  RMDir "$INSTDIR\library\library_hu"
  RMDir "$INSTDIR\library\library_en"
  RMDir "$INSTDIR\library\base"
  RMDir "$INSTDIR\library"
  RMDir "$INSTDIR\languages\hu"
  RMDir "$INSTDIR\languages"
  RMDir "$INSTDIR\help\help_hu"
  RMDir "$INSTDIR\help\help_en"
  RMDir "$INSTDIR\help"
  RMDir "$INSTDIR\documents\sample"
  RMDir "$INSTDIR\documents\hu"
  RMDir "$INSTDIR\documents"
  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
  SetAutoClose true
SectionEnd
